<?php
// comment.inc.php for diaRice - photo calendar 0.5 en/de 20:10 13.01.2009
// Copyright (c) 2007-2009 Michael Daum,  visit http://webdaum.de/


// load parent class:
include_once ('login.inc.php');
// load the editor:
include_once(_PATH.'/classes/editor.inc.php');

/******************************  CLASS COMMENT ********************************/

class comment extends login {
  
  var $user_name;
  
  function comment(
		$id=C_TODAYS_DATE,
		$user_name='',
		$email='',
		$text='',
		$time=0,
		$website='',
		$status=false,
		$auth_name='' ) {
  
 				
        $this->user_name = $user_name;
        $this->email = $email;
        $this->id = $id;
        $this->text = $text;
        $this->time = $time;
        $this->website = strpos($website,'http://')===false && $website!=''?"http://$website":$website;
        $this->status = $status;
        $this->type  = MENU_COMMENTS;
        $this->filename = _PATH.'/templates/'.get_class($this).'.php';
        $this->c_date = getdate($this->id);
        $this->c_url = '?year='.$this->c_date['year'].'&amp;month='.$this->c_date['mon'].'&amp;day='.$this->c_date['mday'];
        $this->editor = new editor();
        $this->database = _PATH.'/data/'.get_class($this).'/'.$this->c_date['year'].'/'.
				$this->c_num_format($this->c_date['mon']).'.php';
        $this->auth_name = $auth_name;
        $this->title = strip_tags(str_replace("\n",' ',$this->text));
  			 
	}
  function user_name() {
        return $this->user_name;
  }    
  function email() {
        return $this->email;
  }    
  function id() {
        return $this->id;
  }    
  function website() {
        return $this->website;
  }    
  function time() {
  	return date(TIME_FORMAT,$this->time);
  }
  function change_name($input) {
        $this->user_name=$input;
  }
  function change_email($input) {
        $this->email=$input;
  }
  function change_website($input) {
        $this->website=$input;
  }
  function info() {
    return '<li><p>'.$this->avatar()
		.$this->delete_button()
		.'<a href="?go=index&amp;mode=comment&amp;id='.$this->id
		.'&amp;do='.$this->time
		.'&amp;year='.$this->c_date['year'].
		'&amp;month='.$this->c_date['mon']
		.'" title="'.$this->title.'" class="'
		.$this->status().'"><b>'
		.$this->user_name
		.'</b> '.ARTICLE_FROM.' '
		.date(TIME_SHORT_FORMAT,$this->id)
		.' | '
		.date(TIME_FORMAT,$this->time)
		.'</a>'
		.' '.$this->status_link_switch()
		."</p></li>\n";
  }	       
	function verlinken() {
		$output = $this->website!='http://' && $this->website!='' ?
		'<a href="'.$this->website.'" class="external">'.$this->user_name.'</a>' :
		$this->user_name;
		return $output;
  }
	function processComment () {
  	return $this->processData();
  }
  function processData () {
       $ausgabe ="\$comment[$this->time] = new comment( '$this->id', '$this->user_name', '$this->email', '$this->text', '$this->time', '$this->website', ".$this->status().", '$this->auth_name');\n";
       return $ausgabe;
  }
  function avatar() {
    $p = new profile();
  	$p->load_data();
  	if(isset($p->data[$this->auth_name])) {
  		$avatar = $p->data[$this->auth_name]->media();
  	} else {
  		$avatar = '<img class="avatar" src="css/templates/avatar.gif" width="40" height="40" alt="avatar" />';
  	}
		return $avatar;
  } 
  function out($out_count) {

  $out = "<li><p class=\"header\"><strong>$out_count</strong>".
	$this->avatar()."
<b>".$this->verlinken()."</b>
<i>".$this->time()."</i></p>
<div class=\"body\">
".$this->text."
</div>
</li>
";
  return $out;
  }
  
  function frontend() {
  
  	$out = 
'<form action="?go=index&amp;mode=comment&amp;id='.$this->id.
'&amp;year='.$this->c_date['year'].'&amp;month='.$this->c_date['mon'].
'&amp;do='.$this->time.'&amp;action=edit" method="post">
<fieldset>
<legend>'.LEGEND_VISITOR_DATA.'</legend>
<div id="daten">
<dfn>'.DFN_USERNAME.': </dfn><input type="text" name="auth_name" value="'.$this->auth_name.'" /><br />
<dfn>'.DFN_VISITOR_NAME.': </dfn><input type="text" name="user_name" value="'.$this->user_name.'" /><br />
<dfn>'.DFN_EMAIL.': </dfn><input type="text" name="email" value="'.$this->email.'" /><br />
<dfn>'.DFN_WEBSITE.':</dfn><input type="text" name="website" value="'.$this->website.'" /><br />
</div>
'.$this->avatar().'
</fieldset>
<fieldset>
<legend>'.LEGEND_STATUS.'</legend>
<div id="status">
<dfn>'.DFN_CREATE.': </dfn><input type="hidden" name="time" value="'.
$this->time.'" /><input type="hidden" name="id" value="'.
$this->id.'" /><span>'.$this->time().'</span><br />
<dfn>'.DFN_STATUS.': </dfn>'.
$this->status_checkbox().' online<br />
<dfn>'.substr($this->type,0,-1).'@: </dfn><span><a href="'.
$this->c_url.'"><strong>'.date('d.m.Y',$this->id).
'</strong></a></span>
</div>
</fieldset>
<fieldset>
<legend>'.LEGEND_ENTER_TEXT.'</legend>
<div id="eintrag">
'.$this->editor->out('html').'
<dfn>'.DFN_TEXT.': </dfn><textarea cols="80" rows="20" name="text">'.
htmlentities(stripcslashes(str_replace("","\n",$this->text))).'</textarea>
</div>
</fieldset>
<div id ="befehlskonsole">
<input type="submit" name="save_comment" value="'.MODE_SAVE.'" class="submit" />
<a class="button" href="?go=index&amp;mode=comment&amp;id='.$this->id.
'&amp;year='.$this->c_date['year'].'&amp;month='.$this->c_date['mon'].'&amp;do='.$this->time.'&amp;action=delete">'.MODE_DELETE.'</a>
<a class="button" href="?go=index&amp;mode=comment&amp;id='.$this->id.
'&amp;year='.$this->c_date['year'].'&amp;month='.$this->c_date['mon'].'&amp;do='.time().'">'.ADD_A_NOTE.'</a>
</div>
</form>
';
		return $out;
  }
}
?>