<?php
// upload_mngr.inc.php for diaRice - photo calendar 0.5 en/de 
// Copyright (c) 2007-2009 Michael Daum,  visit http://webdaum.de/

 class upload_mngr {
	
	var $step;
	var $start_num;
	var $server_msg;
	
	function upload_mngr() {
	
		$this->server_msg = '';
		
		// for multiple uploads only:
		if(isset($_POST['start_num'])) {
			$this->start_num = &$_POST['start_num'];
		} else {
			$this->start_num = 1;
		}
	
	}
	function c_num_format($number) {
		return calendar::c_num_format($number);
	}
	function listen() {
	  
		$start_num = $this->start_num;
		$server_msg = '';
		
		if (isset($_FILES['file']) && isset($_POST['upload_target']) && !isset($_POST['refresh'])) {

			for ($i=0; $i<count($_FILES['file']['name']); $i++ ) {
				if(!isset($_POST['filename'][$i])) {
					$_POST['filename'][$i] = $_FILES['file']['name'][$i];
				}
				if ($_FILES['file']['error'][$i] == UPLOAD_ERR_OK) {

					$regExp = '/^[a-z_]([a-z0-9_-]*\.?[a-z0-9_-])*\.[a-z]{3,4}$/i';

					if (preg_match($regExp,$_POST['filename'][$i]) && $_FILES['file']['size'][$i] > 0 && $_FILES['file']['size'][$i] < 100000) {

						move_uploaded_file($_FILES['file']['tmp_name'][$i],$_POST['upload_target'].'/'.$_POST['filename'][$i]);

						$server_msg.= '<p class="server-msg">'.
						'<i>'.$_FILES['file']['name'][$i].'</i> - '.
						DFN_RENAMED_TO.
						' <i>'.$_POST['filename'][$i].'</i> - '.
						MSG_UPLOADED_TO_FOLDER.
						' <i>'.$_POST['upload_target'].'</i>'.
						"</p>\n";
						$start_num+=1;
							
					} else {
						$server_msg.= '<p class="server-msg">'.ERROR.' '.ERROR_FILENAME_FILESIZE.'</p>';
					}
				}  else {
					$server_msg.= '<p class="server-msg">'.ERROR.' '.ERROR_DURING_TRANSMISSION.'</p>';
				}
			}
		} else {
			$server_msg.= '<p class="server-msg">'.ERROR.' '.ERROR_UPLOAD.'</p>';
		}
		if (!isset($_FILES['file']) || isset($_POST['refresh'])) {
			$server_msg = '';
		}
		$this->server_msg = $server_msg;
		$this->start_num = $start_num;
	}
	function multi_upload_form($upload_target) {
		
		$step = isset($_POST['step'])?$_POST['step']:1;
		$start_num = isset($_POST['start_num'])?$_POST['start_num']:1;
		
		// form output:
		$mup_out ='
<form method="post" action="?go=index&amp;year='.$_GET['year'].'&amp;month='.$_GET['month'].'" enctype="multipart/form-data">
<fieldset>
<dl>
<dt>'.MSG_IMG_UPLOAD.':</dt>
<dd>
<input type="hidden" name="MAX_FILES_SIZE" value="100000" />
<input type="hidden" name="upload_target" value="'.$upload_target.'" />
<dfn>'.DFN_START_INDEX.'</dfn><input name="start_num" value="'.$start_num.'" /><br />
<dfn>'.DFN_UPLOAD_FIELDS.'</dfn><select name="step">
';
		$options = array(1,2,3,4,5,10,15,20,25,31);
		foreach ($options as $option) {
			$selected = $option==$step?' selected="selected"':'';
			$mup_out.= "<option$selected>$option</option>";
		}
		$mup_out.='</select><input type="submit" name="refresh" class="button"
value="'.MODE_REFRESH.'" /><hr class="clear" />
';

		for($i = $start_num; $i<$start_num+$step && $i<=31; $i++) {
			$mup_out.='<input name="filename[]" value="_'.
			$this->c_num_format($i).'.jpg" />
<input accept="image/jpeg" type="file" name="file[]" size="40" maxlength="100000" /><br />';
		}

		$mup_out.='</dd>
</dl>
<input type="submit" name="change" class=
"submit" value="'.MODE_UPLOAD.'" />
</fieldset>
</form>
';
		return $mup_out;
	}
	function single_upload_form($upload_target,$filename,$legend) {

	return '
<form method="post" action="?go=index&amp;year='.$_GET['year'].'&amp;month='.$_GET['month'].'&amp;day='.$_GET['day'].'&amp;img=_'.$this->c_num_format($_GET['day']).'.jpg" enctype="multipart/form-data">
<fieldset>
<dl>
<dt>'.$legend.':</dt>
<dd>
<input type="hidden" name="MAX_FILES_SIZE" value="100000" />
<input type="hidden" name="filename[]" value="'.$filename.'" />
<input type="hidden" name="upload_target" value="'.$upload_target.'" />
<input type="file" name="file[]" size="40" maxlength="100000" />
</dd>
</dl>
<input type="submit" name="change" class=
"submit" value="'.MODE_UPLOAD.'" />
</fieldset>
</form>
';
	}
}
?>