/* JS editor INTERNAL - diaRice 0.5/en/de - Tu, 26. Jun 2007 17:30 */
/* Copyright (c) 2007-2008 Michael Daum,  visit http://webdaum.de/ */

function format(string,tag,mode) {	

	if(mode=="css" && tag!="\/**\/" && tag!="url") {
		return tag+" {\n  "+string+";\n  }\n";
	}
	var e;
	
  switch (tag) {
	
    case "br": 
      e = "<br \/>\n";
	    break;
	
    case "hr": 
      e = "<hr \/>\n";
	    break;
	
    case "!--": 
      e = "<!-- "+string+" -->";
	    break;
						
    case "table": 
      e = "<table>\n <tr>\n  <td>"+string+"<\/td>\n <\/tr>\n<\/table>\n";
	    break;
			
    case "img": 
      e = '<img src="'+string+'" alt="" class="left" \/>';
	    break;
					
    case "a": 
      e = '<a href="">'+string+'<\/a>';
	    break;
	    
    case "url": 
      e = "http://"+string;
	    break;
	    
    case "ent": 
      e = entities(string,0);
	    break;
	    
    case "unent": 
      e = entities(string,1);
	    break;
					
    case "php": 
      e = "<?php\n"+string+"\n?>";
	    break;
					
    case "echo": 
      e = "echo \""+string+"\";";
	    break;
					
    case "print": 
      e = "print \""+string+"\";";
	    break;
	    
    case "if": 
      e = "if("+string+") {\n  \n} else {\n  \n}\n";
	    break;
	    
    case "for": 
      e = "for("+string+") {\n  \n}\n";
	    break;
					
    case "func": 
      e = "function "+string+" () {\n  \n}\n";
	    break;
					
    case "switch": 
      e = "switch ("+string+") {\n  case:\n    ;\n    break;\n  default:\n    ;\n}\n";
	    break;
					
    case "\/**\/": 
      e = "\/* "+string+" *\/";
	    break;
					
    case "id": 
      e = "document.getElementById['"+string+"']";
	    break;
	    
    case "name": 
      e = "document.getElementsByName['"+string+"'][0]";
	    break;
	    
		default:
      e = "<"+tag+">"+string+"<\/"+tag+">";
 
  }
  return e;
}
function entities(string,index) {

	var backup = string;
	var msg = "";
	
	var chars  = new Array(2);
	chars[0] = new Array('&', '<', '>', "", "",  "", "", "", "", "", "");
	chars[1] = new Array("&amp;", "&lt;", "&gt;", "&euro;", "&auml;", "&ouml;", "&uuml;", "&Auml;", "&Ouml;", "&Uuml;", "&szlig;");

	
	for( var i in chars[index]){	
	
		var fundstellen = 0;
		var pos = -1;
				
		while (string.indexOf(chars[index][i],pos+1) != -1) {
			if (pos+1>string.length) {
				break;
			} // Endlosschleife verhindern
			pos = string.indexOf(chars[index][i],pos+1);
			fundstellen++;
		} // Anzahl der Funde feststellen
		
		if (fundstellen>0) {
			msg+=chars[index][i]+" "+fundstellen+" x gefunden!\n";
			for (j=0;j<fundstellen;j++){
				string = string.replace(chars[index][i],chars[index==0?1:0][i]);
			}
		} // Zeichen ersetzen
	}
	if(msg=="") {
		alert("Nichts gefunden!");
		return string;
	} else {
		if (window.confirm(msg+"\nWollen Sie ersetzen?")) {
			return string;
		} else {
			return backup;
		} // bei Fund erst auf Besttigung formatierte Zeichenkette zurckgeben
	}
}
function edit(elem,mode) {
	var mode = mode || "mixed";
	
  var tag  = elem.value;
  var feld = document.getElementsByName("text")[0];
	
  feld.focus();

  if (document.getSelection) { // Opera, Mozilla, Firefox
  
    var scrollTop, scrollLeft;
    
    if (feld.type == 'textarea' && typeof feld.scrollTop != 'undefined') {
      scrollTop = feld.scrollTop;
      scrollLeft = feld.scrollLeft;
    }
  	selStart = feld.selectionStart;
  	selEnd = feld.selectionEnd;
  	text = feld.value.substring(selStart, selEnd);
  	text = format(text,tag,mode); // format
  	feld.value = feld.value.substring(0, selStart) + text + feld.value.substring(selEnd);
  	if (typeof scrollTop != 'undefined') {
    	feld.scrollTop = scrollTop;
    	feld.scrollLeft = scrollLeft;
  	}
  	feld.selectionStart = feld.selectionEnd;
  
	} else 	if (document.selection) { // InternetExplorer
	
    marker = document.selection.createRange();
    text = marker.text;
    marker.text = format(text,tag,mode); // format
    marker = document.selection.createRange();
    marker.select();
    
 } else {
    feld.value+=format("",tag,mode);  
 }
} 
